# include <iostream>
# include <fstream>
using namespace std;

class Date
{
	private:
		int day,month,year;
	public:
		Date(int d,int m,int y);
		int getday();
		int getmonth();
		int getyear();
		friend istream& operator>>(istream &op,Date &d);
		friend ostream& operator<<(ostream &op,Date &d);
};

Date::Date(int d,int m,int y)
{
	day=d;
	month=m;
	year=y;
}


int Date::getday()
{
	return day;
}

int Date::getmonth()
{
	return month;
}

int Date::getyear()
{
	return year;
}

istream& operator>>(istream &op,Date &d)
{
	op>>d.day;
	op>>d.month;
	op>>d.year;
	return op;
}

ostream& operator<<(ostream &op,Date &d)
{
	op<<d.day;
	op<<" ";
	op<<d.month;
	op<<" ";
	op<<d.year;
	return op;
}

int main()
{
	
	Date d1(12,10,1990);
	cout<<d1<<endl;
	cout<<"Doste tin imerominia d1 ";
	cin>>d1;
	cout<<"Tora i d1 einai ";
	cout<<d1;
	cout<<endl;

	return 0;
}
